#include <windows.h>
#include <stdio.h>

int main(void)
{
    size_t i;
    static const int stocks[] =
    {
        OEM_FIXED_FONT, ANSI_FIXED_FONT, ANSI_VAR_FONT, SYSTEM_FONT,
        DEVICE_DEFAULT_FONT, SYSTEM_FIXED_FONT, DEFAULT_GUI_FONT
    };
    static const char *stock_texts[] =
    {
        "OEM_FIXED_FONT", "ANSI_FIXED_FONT", "ANSI_VAR_FONT", "SYSTEM_FONT",
        "DEVICE_DEFAULT_FONT", "SYSTEM_FIXED_FONT", "DEFAULT_GUI_FONT"
    };

    for (i = 0; i < sizeof(stocks) / sizeof(stocks[0]); ++i)
    {
        HFONT hFont = (HFONT)GetStockObject(stocks[i]);
        LOGFONTA lf;
        GetObjectA(hFont, sizeof(lf), &lf);
        printf("%s: lfFaceName '%s', lfHeight %d, lfCharSet %d, lfPitchAndFamily %d\n",
               stock_texts[i], lf.lfFaceName, lf.lfHeight, lf.lfCharSet,
               lf.lfPitchAndFamily);
    }
    return 0;
}
